Index: trunk/SophyaPI/DemoPIApp/exmodule.cc
===================================================================
--- trunk/SophyaPI/DemoPIApp/exmodule.cc	(revision 2308)
+++ trunk/SophyaPI/DemoPIApp/exmodule.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include <stdio.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 
Index: trunk/SophyaPI/DemoPIApp/user.cc
===================================================================
--- trunk/SophyaPI/DemoPIApp/user.cc	(revision 2308)
+++ trunk/SophyaPI/DemoPIApp/user.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include <stdlib.h>
 #include <math.h>
-#include <iostream.h>
+#include <iostream>
 #include <string>
 
Index: trunk/SophyaPI/PI/piapplx.cc
===================================================================
--- trunk/SophyaPI/PI/piapplx.cc	(revision 2308)
+++ trunk/SophyaPI/PI/piapplx.cc	(revision 2322)
@@ -17,5 +17,5 @@
 #include <fcntl.h>
 
-#include <iostream.h>
+#include <iostream>
 
 
Index: trunk/SophyaPI/PI/piaxes.cc
===================================================================
--- trunk/SophyaPI/PI/piaxes.cc	(revision 2308)
+++ trunk/SophyaPI/PI/piaxes.cc	(revision 2322)
@@ -6,5 +6,5 @@
 #include "machdefs.h"
 #include <stdio.h>
-#include <iostream.h>
+#include <iostream>
 #include <strings.h>
 #include <math.h>
Index: trunk/SophyaPI/PI/piaxestools.cc
===================================================================
--- trunk/SophyaPI/PI/piaxestools.cc	(revision 2308)
+++ trunk/SophyaPI/PI/piaxestools.cc	(revision 2322)
@@ -5,5 +5,5 @@
 
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 
 #include "piaxes.h"
Index: trunk/SophyaPI/PI/picmap.cc
===================================================================
--- trunk/SophyaPI/PI/picmap.cc	(revision 2308)
+++ trunk/SophyaPI/PI/picmap.cc	(revision 2322)
@@ -4,5 +4,5 @@
 
 #include "picmap.h"
-#include <iostream.h>
+#include <iostream>
 
 //++
Index: trunk/SophyaPI/PI/picons.cc
===================================================================
--- trunk/SophyaPI/PI/picons.cc	(revision 2308)
+++ trunk/SophyaPI/PI/picons.cc	(revision 2322)
@@ -1,7 +1,8 @@
+#include "pisysdep.h"
 #include <stdlib.h>
 #include <stdio.h>
 #include <string.h>
-
-#include "pisysdep.h"
+#include <ctype.h>
+
 #include PIMENU_H
 #include "picons.h"
Index: trunk/SophyaPI/PI/pidrawer.cc
===================================================================
--- trunk/SophyaPI/PI/pidrawer.cc	(revision 2308)
+++ trunk/SophyaPI/PI/pidrawer.cc	(revision 2322)
@@ -6,5 +6,5 @@
 #include "machdefs.h"
 #include <strings.h>
-#include <iostream.h>
+#include <iostream>
 #include "pidrawer.h"
 #include "pidrwtools.h"
Index: trunk/SophyaPI/PI/pidrwtools.cc
===================================================================
--- trunk/SophyaPI/PI/pidrwtools.cc	(revision 2308)
+++ trunk/SophyaPI/PI/pidrwtools.cc	(revision 2322)
@@ -6,5 +6,5 @@
 
 #include "pidrwtools.h"
-#include <iostream.h>
+#include <iostream>
 #include "piscdrawwdg.h"
 #include "pi3dwdg.h"
Index: trunk/SophyaPI/PI/pieldrw.cc
===================================================================
--- trunk/SophyaPI/PI/pieldrw.cc	(revision 2308)
+++ trunk/SophyaPI/PI/pieldrw.cc	(revision 2322)
@@ -5,5 +5,5 @@
 #include "machdefs.h"
 #include <strings.h>
-#include <iostream.h>
+#include <iostream>
 
 #include "pieldrw.h"
Index: trunk/SophyaPI/PI/pigraphgen.cc
===================================================================
--- trunk/SophyaPI/PI/pigraphgen.cc	(revision 2308)
+++ trunk/SophyaPI/PI/pigraphgen.cc	(revision 2322)
@@ -7,5 +7,5 @@
 #include "pigraphgen.h"
 #include <math.h>
-#include <iostream.h>
+#include <iostream>
 #include "ucckprot.h"
 
Index: trunk/SophyaPI/PI/pigraphuc.cc
===================================================================
--- trunk/SophyaPI/PI/pigraphuc.cc	(revision 2308)
+++ trunk/SophyaPI/PI/pigraphuc.cc	(revision 2322)
@@ -4,5 +4,5 @@
 
 #include "machdefs.h"
-#include <iostream.h>
+#include <iostream>
 #include "pigraphuc.h"
 
Index: trunk/SophyaPI/PI/pigratt.cc
===================================================================
--- trunk/SophyaPI/PI/pigratt.cc	(revision 2308)
+++ trunk/SophyaPI/PI/pigratt.cc	(revision 2322)
@@ -4,4 +4,5 @@
 
 #include "pigratt.h"
+#include <ctype.h>
 
 #include <stdio.h>
Index: trunk/SophyaPI/PI/piimage.cc
===================================================================
--- trunk/SophyaPI/PI/piimage.cc	(revision 2308)
+++ trunk/SophyaPI/PI/piimage.cc	(revision 2322)
@@ -5,7 +5,9 @@
 
 
+#include "pisysdep.h"
 #include <stdlib.h>
 #include <stdio.h>
 #include <string.h>
+#include <ctype.h>
 
 #include "piimage.h"
Index: trunk/SophyaPI/PI/pimenux.cc
===================================================================
--- trunk/SophyaPI/PI/pimenux.cc	(revision 2308)
+++ trunk/SophyaPI/PI/pimenux.cc	(revision 2322)
@@ -1,4 +1,4 @@
 #include<stdio.h>
-#include<iostream.h>
+#include<iostream>
 
 #include "pisysdep.h"
Index: trunk/SophyaPI/PI/piscdrawwdg.cc
===================================================================
--- trunk/SophyaPI/PI/piscdrawwdg.cc	(revision 2308)
+++ trunk/SophyaPI/PI/piscdrawwdg.cc	(revision 2322)
@@ -5,5 +5,5 @@
 #include "machdefs.h"
 #include <math.h>
-#include <iostream.h>
+#include <iostream>
 
 #include "piscdrawwdg.h"
Index: trunk/SophyaPI/PIGcont/picntools.cc
===================================================================
--- trunk/SophyaPI/PIGcont/picntools.cc	(revision 2308)
+++ trunk/SophyaPI/PIGcont/picntools.cc	(revision 2322)
@@ -7,5 +7,5 @@
 #include "machdefs.h"
 #include <string>
-#include <iostream.h>
+#include <iostream>
 
 #include "picntools.h"
Index: trunk/SophyaPI/PIGcont/pigncont.cc
===================================================================
--- trunk/SophyaPI/PIGcont/pigncont.cc	(revision 2308)
+++ trunk/SophyaPI/PIGcont/pigncont.cc	(revision 2322)
@@ -9,5 +9,5 @@
 #include <stdlib.h>
 #include <assert.h>
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 
Index: trunk/SophyaPI/PIext/contmodex.h
===================================================================
--- trunk/SophyaPI/PIext/contmodex.h	(revision 2308)
+++ trunk/SophyaPI/PIext/contmodex.h	(revision 2322)
@@ -9,5 +9,5 @@
 #include <stdio.h>
 #include <stdlib.h>
-#include <iostream.h> 
+#include <iostream> 
 #include "piacmd.h"
 #include "nobjmgr.h"
Index: trunk/SophyaPI/PIext/cxxexecutor.cc
===================================================================
--- trunk/SophyaPI/PIext/cxxexecutor.cc	(revision 2308)
+++ trunk/SophyaPI/PIext/cxxexecutor.cc	(revision 2322)
@@ -347,6 +347,6 @@
   <<"#include <ctype.h>"<<endl
   <<"#include <string.h>"<<endl
-  <<"#include <iostream.h>"<<endl
-  <<"#include <fstream.h>"<<endl
+  <<"#include <iostream>"<<endl
+  <<"#include <fstream>"<<endl
   <<"#include <complex>"<<endl
   <<endl
Index: trunk/SophyaPI/PIext/cxxexecutor.h
===================================================================
--- trunk/SophyaPI/PIext/cxxexecutor.h	(revision 2308)
+++ trunk/SophyaPI/PIext/cxxexecutor.h	(revision 2322)
@@ -10,5 +10,5 @@
 #include <stdio.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 
 #include <vector>
Index: trunk/SophyaPI/PIext/flowmodex.h
===================================================================
--- trunk/SophyaPI/PIext/flowmodex.h	(revision 2308)
+++ trunk/SophyaPI/PIext/flowmodex.h	(revision 2322)
@@ -9,5 +9,5 @@
 #include <stdio.h>
 #include <stdlib.h>
-#include <iostream.h> 
+#include <iostream> 
 #include "piacmd.h"
 #include "nobjmgr.h"
Index: trunk/SophyaPI/PIext/nobjmgr.cc
===================================================================
--- trunk/SophyaPI/PIext/nobjmgr.cc	(revision 2308)
+++ trunk/SophyaPI/PIext/nobjmgr.cc	(revision 2322)
@@ -4,5 +4,5 @@
 
 #include <typeinfo>
-#include <iostream.h>
+#include <iostream>
 #include <string>
 #include <list>
Index: trunk/SophyaPI/PIext/nobjmgr.h
===================================================================
--- trunk/SophyaPI/PIext/nobjmgr.h	(revision 2308)
+++ trunk/SophyaPI/PIext/nobjmgr.h	(revision 2322)
@@ -9,5 +9,5 @@
 #include "machdefs.h"
 
-#include <fstream.h>
+#include <fstream>
 #include <string>
 #include <vector>
Index: trunk/SophyaPI/PIext/nomgadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomgadapter.cc	(revision 2308)
+++ trunk/SophyaPI/PIext/nomgadapter.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include <stdlib.h>
 #include <typeinfo>
-#include <iostream.h>
+#include <iostream>
 #include <string>
 #include "nomgadapter.h"
Index: trunk/SophyaPI/PIext/nomgfdadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomgfdadapter.cc	(revision 2308)
+++ trunk/SophyaPI/PIext/nomgfdadapter.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include <stdlib.h>
 #include <typeinfo>
-#include <iostream.h>
+#include <iostream>
 #include <string>
 
Index: trunk/SophyaPI/PIext/nomhistadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomhistadapter.cc	(revision 2308)
+++ trunk/SophyaPI/PIext/nomhistadapter.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include <stdlib.h>
 #include <typeinfo>
-#include <iostream.h>
+#include <iostream>
 #include <string>
 
Index: trunk/SophyaPI/PIext/nomimagadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomimagadapter.cc	(revision 2308)
+++ trunk/SophyaPI/PIext/nomimagadapter.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include <stdlib.h>
 #include <typeinfo>
-#include <iostream.h>
+#include <iostream>
 #include <string>
 
Index: trunk/SophyaPI/PIext/nommatvecadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nommatvecadapter.cc	(revision 2308)
+++ trunk/SophyaPI/PIext/nommatvecadapter.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include <stdlib.h>
 #include <typeinfo>
-#include <iostream.h>
+#include <iostream>
 #include <string>
 
Index: trunk/SophyaPI/PIext/nomskymapadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomskymapadapter.cc	(revision 2308)
+++ trunk/SophyaPI/PIext/nomskymapadapter.cc	(revision 2322)
@@ -3,5 +3,5 @@
 #include <math.h>
 #include <typeinfo>
-#include <iostream.h>
+#include <iostream>
 #include <string>
 #include <complex>
Index: trunk/SophyaPI/PIext/nomspecrespadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomspecrespadapter.cc	(revision 2308)
+++ trunk/SophyaPI/PIext/nomspecrespadapter.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include <stdlib.h>
 #include <typeinfo>
-#include <iostream.h>
+#include <iostream>
 #include <string>
 
Index: trunk/SophyaPI/PIext/nomstladapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomstladapter.cc	(revision 2308)
+++ trunk/SophyaPI/PIext/nomstladapter.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include <stdlib.h>
 #include <typeinfo>
-#include <iostream.h>
+#include <iostream>
 #include <string>
 
Index: trunk/SophyaPI/PIext/nomtarradapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomtarradapter.cc	(revision 2308)
+++ trunk/SophyaPI/PIext/nomtarradapter.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include <stdlib.h>
 #include <typeinfo>
-#include <iostream.h>
+#include <iostream>
 #include <string>
 #include <complex>
Index: trunk/SophyaPI/PIext/nomtmatvecadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomtmatvecadapter.cc	(revision 2308)
+++ trunk/SophyaPI/PIext/nomtmatvecadapter.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include <stdlib.h>
 #include <typeinfo>
-#include <iostream.h>
+#include <iostream>
 #include <string>
 #include <complex>
Index: trunk/SophyaPI/PIext/pawexecut.cc
===================================================================
--- trunk/SophyaPI/PIext/pawexecut.cc	(revision 2308)
+++ trunk/SophyaPI/PIext/pawexecut.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include <stdlib.h>
 #include <ctype.h>
-#include <iostream.h>
+#include <iostream>
 #include <typeinfo>
 
Index: trunk/SophyaPI/PIext/pi2dvec.cc
===================================================================
--- trunk/SophyaPI/PIext/pi2dvec.cc	(revision 2308)
+++ trunk/SophyaPI/PIext/pi2dvec.cc	(revision 2322)
@@ -9,5 +9,5 @@
 #include <stdio.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 
Index: trunk/SophyaPI/PIext/piacmd.h
===================================================================
--- trunk/SophyaPI/PIext/piacmd.h	(revision 2308)
+++ trunk/SophyaPI/PIext/piacmd.h	(revision 2322)
@@ -8,6 +8,6 @@
 
 #include "machdefs.h"
-#include <iostream.h>
-#include <fstream.h>
+#include <iostream>
+#include <fstream>
 #include <string>
 #include <vector>
Index: trunk/SophyaPI/PIext/piafitting.cc
===================================================================
--- trunk/SophyaPI/PIext/piafitting.cc	(revision 2308)
+++ trunk/SophyaPI/PIext/piafitting.cc	(revision 2322)
@@ -9,5 +9,5 @@
 #include <stdlib.h>
 #include <ctype.h>
-#include <iostream.h>
+#include <iostream>
 #include <typeinfo>
 
Index: trunk/SophyaPI/PIext/servnobjm.cc
===================================================================
--- trunk/SophyaPI/PIext/servnobjm.cc	(revision 2308)
+++ trunk/SophyaPI/PIext/servnobjm.cc	(revision 2322)
@@ -4,5 +4,5 @@
 
 #include <typeinfo>
-#include <iostream.h>
+#include <iostream>
 #include <string>
 #include <list>
Index: trunk/SophyaPI/ProgPI/fitsbtadapter.cc
===================================================================
--- trunk/SophyaPI/ProgPI/fitsbtadapter.cc	(revision 2308)
+++ trunk/SophyaPI/ProgPI/fitsbtadapter.cc	(revision 2322)
@@ -4,5 +4,5 @@
 #include <stdio.h>
 #include <typeinfo>
-#include <iostream.h>
+#include <iostream>
 #include <string.h>
 #include <string>
Index: trunk/SophyaPI/ProgPI/piapp.cc
===================================================================
--- trunk/SophyaPI/ProgPI/piapp.cc	(revision 2308)
+++ trunk/SophyaPI/ProgPI/piapp.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include <stdio.h>
 #include <unistd.h>
-#include <iostream.h>
+#include <iostream>
 
 #include "pistdimgapp.h"
Index: trunk/SophyaPI/ProgPI/skymapmodule.cc
===================================================================
--- trunk/SophyaPI/ProgPI/skymapmodule.cc	(revision 2308)
+++ trunk/SophyaPI/ProgPI/skymapmodule.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include <stdio.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 
Index: trunk/SophyaPI/ProgPI/sopiamodule.cc
===================================================================
--- trunk/SophyaPI/ProgPI/sopiamodule.cc	(revision 2308)
+++ trunk/SophyaPI/ProgPI/sopiamodule.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include <stdio.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 
Index: trunk/SophyaPI/ProgPI/w2ps.cc
===================================================================
--- trunk/SophyaPI/ProgPI/w2ps.cc	(revision 2308)
+++ trunk/SophyaPI/ProgPI/w2ps.cc	(revision 2322)
@@ -2,5 +2,5 @@
 #include <stdio.h>
 #include <stdlib.h>
-#include <iostream.h>
+#include <iostream>
 #include <math.h>
 
